Jump to
Ctrl
+
/

Prepare Transaction From Address XRP

POST
/prepare-transactions/xrp/{network}/native-coins

Through this endpoint customers can prepare an unsigned XRP (Ripple) native-coin transaction from a source address, returning the fee (in drops and XRP), the amount (in drops), the account sequence, the transaction flags and an internal id, ready to sign and broadcast.

Path Parameters

network string Required

Represents the specific XRP network; mainnet is live, testnet is for testing.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
fromAddress string Required

Represents the sender address which funds the transaction, pays the fee and is the source account.

toAddress string Required

Represents the recipient address.

amount string Required

Represents the amount to transfer, denominated in XRP.

feeOptions object Optional

Represents the fee options for the transaction.

priority string Optional

Represents the fee priority.

exactAmount string Optional

Represents an exact fee amount instead of the priority-derived fee.

subtractFromAmount boolean Optional

When true the fee is subtracted from the transferred amount.

destinationTag string Optional

Represents the XRP destination tag / memo data.

sequence string Optional

Represents the source account sequence number; derived from the ledger if omitted.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2024-12-12
requestId string Required

Defines the ID of the request. The requestId is generated by Crypto APIs and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
fromAddress string Required

Represents the sender address.

rPT1Sjq2YGrBMTttX4GZHjKu9dyfzbpAYe
toAddress string Required

Represents the recipient address.

rUCzEr6jrEyMpjhs4wSdQdz4g8Y382NxfM
fee object Required

Represents the transaction fee.

feeInDrops string Required

Represents the fee in drops (1 XRP = 1,000,000 drops).

18
feeInXrp string Required

Represents the fee in XRP.

0.000018
amount string Required

Represents the transferred amount, denominated in drops.

1000000
sequence string Required

Represents the account sequence used by the prepared transaction.

17027004
transactionId string Required

Represents the internal prepared-transaction id.

6a4f876a5777eb5c902a0c33
flags integer Required

Represents the XRP transaction flags bitmask (e.g. 2147483648 is tfFullyCanonical).

2147483648
transactionType string Required

Represents the XRP transaction type.

payment

Credits Cost

Blockchain protocol Credits for 1 Results
Default Cost 60
XRP 60
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2024-12-12",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "fromAddress": "rPT1Sjq2YGrBMTttX4GZHjKu9dyfzbpAYe",
            "toAddress": "rUCzEr6jrEyMpjhs4wSdQdz4g8Y382NxfM",
            "fee": {
                "feeInDrops": "18",
                "feeInXrp": "0.000018"
            },
            "amount": "1000000",
            "sequence": "17027004",
            "transactionId": "6a4f876a5777eb5c902a0c33",
            "flags": 2147483648,
            "transactionType": "payment"
        }
    }
}